Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jgroups.util
Enum StackType

    java.lang.Object
      java.lang.Enum<StackType>
          org.jgroups.util.StackType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<StackType>

    public enum StackType

extends java.lang.Enum<StackType>

Author:
  Bela Ban

Enum Constant Summary
`IPv4`
`IPv6`
`Unknown`

Method Summary
`static StackType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static StackType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### IPv4

    public static final StackType IPv4

### IPv6

    public static final StackType IPv6

### Unknown

    public static final StackType Unknown

Method Detail

### values

    public static StackType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (StackType c : StackType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static StackType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.